All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] Log ref changes made by quiltimport.
@ 2006-07-11  6:10 Shawn Pearce
  0 siblings, 0 replies; only message in thread
From: Shawn Pearce @ 2006-07-11  6:10 UTC (permalink / raw)
  To: Junio C Hamano; +Cc: git

When importing a quilt patch to a branch which has a reflog record
the update to HEAD with a log message indicating the change was
made by quiltimport and what patch caused the change.

Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
---
 Aside from git-resolve and git-clone this is the last shell script
 which didn't include a log message when invoking update-ref.  So
 here it is.  :-)

 git-quiltimport.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/git-quiltimport.sh b/git-quiltimport.sh
index 86b51ab..9f16e18 100755
--- a/git-quiltimport.sh
+++ b/git-quiltimport.sh
@@ -112,7 +112,7 @@ for patch_name in $(cat "$QUILT_PATCHES/
 		git-apply --index -C1 "$tmp_patch" &&
 		tree=$(git-write-tree) &&
 		commit=$((echo "$SUBJECT"; echo; cat "$tmp_msg") | git-commit-tree $tree -p $commit) &&
-		git-update-ref HEAD $commit || exit 4
+		git-update-ref -m "quiltimport: $patch_name" HEAD $commit || exit 4
 	fi
 done
 rm -rf $tmp_dir || exit 5
-- 
1.4.1.gc48f

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2006-07-11  6:10 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2006-07-11  6:10 [PATCH] Log ref changes made by quiltimport Shawn Pearce

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.